Bug 565960 - [abrt] crash in pychess-0.10-0.1.20100203svn.fc12
Summary: [abrt] crash in pychess-0.10-0.1.20100203svn.fc12
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pychess
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:27e8506f
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-16 19:40 UTC by Hugo
Modified: 2010-12-03 22:43 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 22:43:49 UTC


Attachments (Terms of Use)
File: backtrace (752 bytes, text/plain)
2010-02-16 19:40 UTC, Hugo
no flags Details

Description Hugo 2010-02-16 19:40:44 UTC
abrt 1.0.6 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python -u /usr/lib/python2.6/site-packages/pychess/Players/PyChess.py
component: pychess
executable: /usr/lib/python2.6/site-packages/pychess/Players/PyChess.py
kernel: 2.6.31.12-174.2.3.fc12.x86_64
package: pychess-0.10-0.1.20100203svn.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TB27e8506f Log.py:19:write:NameError: global name 'flag' is not defined

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pychess/Players/PyChess.py", line 402, in process
    def process (worker, messages): print "\n".join(messages)
  File "/usr/lib/python2.6/site-packages/pychess/System/Log.py", line 19, in write
    if flag == "stdout":
NameError: global name 'flag' is not defined

Local variables in innermost frame:
self: <pychess.System.Log.LogPipe instance at 0x1755758>
data: '1\t99999\t143.85\t1\th4#\n0.5 moves/position; 0.0 n/s\n2\t99999\t143.86\t1\th4#\n0.5 moves/position; 275.6 n/s\n3\t99999\t143.86\t1\th4#\n0.5 moves/position; 1076.6 n/s\n4\t99999\t143.86\t1\th4#\n0.5 moves/position; 1169.3 n/s'

Comment 1 Hugo 2010-02-16 19:40:46 UTC
Created attachment 394615 [details]
File: backtrace

Comment 2 Thomas Spura 2010-02-17 11:05:32 UTC
Thanks for the bug report.

What were you doing, when that crash happened?
How can this be reproduced?

Comment 3 Hugo 2010-02-17 20:42:57 UTC
Well, how to reproduce is hard to say.

I was playing, when I lost I clicked the re-match option. After that the game begun. But I closed the TAB of the game, then I tried to change the settings of a new game to play again as white. Then the FEDORA 12 crash icon appeared on systemtray and the game did not started. So I closed the entire game e restarted it. It worked, but I thought be better to send the report info.

Comment 4 Thomas Spura 2010-02-17 21:52:50 UTC
Thanks for the bug report.

I could not reproduce this, but this should be easy to fix.

It's filled at:
http://code.google.com/p/pychess/issues/detail?id=534

and should be gone in the next version (>0.10-0.3).

Comment 5 Jesse Larrew 2010-03-12 21:50:06 UTC

Comment
-----
Crash while closing pychess.

Comment 6 Fedora Update System 2010-05-04 12:29:03 UTC
pychess-0.10-0.4.20100504hg.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pychess-0.10-0.4.20100504hg.fc12

Comment 7 Fedora Update System 2010-05-06 03:40:40 UTC
pychess-0.10-0.4.20100504hg.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pychess'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pychess-0.10-0.4.20100504hg.fc12

Comment 8 Fedora Update System 2010-05-25 18:34:20 UTC
pychess-0.10-0.5.20100511hg.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pychess'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pychess-0.10-0.5.20100511hg.fc12

Comment 9 George 2010-07-14 01:38:36 UTC
Package: pychess-0.10-0.3.20100214svn.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.win a game
2.click X to close window 
3.

Comment 10 Jesse Larrew 2010-10-01 20:26:58 UTC
Package: pychess-0.10-0.3.20100214svn.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. 
2.
3.


Comment
-----
I'm not sure how to reproduce this. I had multiple games open, and I think it happened after I closed one of them.

Comment 11 Bug Zapper 2010-11-03 21:57:32 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-12-03 22:43:49 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.